<?xml version="1.0"?>
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#filter substitution
#define SEARCH_WINDOW
<?xml-stylesheet href="chrome://messenger/skin/searchDialog.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/folderPane.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/tagColors.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/input-fields.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/themeableDialog.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/icons.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/folderMenus.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/contextMenu.css" type="text/css"?>

<!DOCTYPE window [
  <!ENTITY % messengerDTD SYSTEM "chrome://messenger/locale/messenger.dtd" >
  %messengerDTD;
  <!ENTITY % SearchDialogDTD SYSTEM "chrome://messenger/locale/SearchDialog.dtd">
  %SearchDialogDTD;
  <!ENTITY % searchTermDTD SYSTEM "chrome://messenger/locale/searchTermOverlay.dtd">
  %searchTermDTD;
]>

<window id="searchMailWindow"
        xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
        xmlns:html="http://www.w3.org/1999/xhtml"
        onload="searchOnLoad();"
        onunload="onSearchStop(); searchOnUnload();"
        windowtype="mailnews:search"
        title="&searchDialogTitle.label;"
        style="width: 52em; height: 34em;"
        lightweightthemes="true"
        persist="screenX screenY width height sizemode">

  <stringbundle id="bundle_messenger" src="chrome://messenger/locale/messenger.properties"/>
  <stringbundle id="bundle_brand" src="chrome://branding/locale/brand.properties"/>

  <script src="chrome://messenger/content/searchWidgets.js"/>
  <script src="chrome://messenger/content/mailWindow.js"/>
  <script src="chrome://messenger/content/folderDisplay.js"/>
  <script src="chrome://messenger/content/messageDisplay.js"/>
  <script src="chrome://messenger/content/threadPane.js"/>
  <script src="chrome://communicator/content/utilityOverlay.js"/>
  <script src="chrome://messenger/content/msgMail3PaneWindow.js"/>
  <script src="chrome://global/content/globalOverlay.js"/>
  <script src="chrome://global/content/editMenuOverlay.js"/>
  <script src="chrome://messenger/content/mailCommands.js"/>
  <script src="chrome://messenger/content/mailWindowOverlay.js"/>
  <script src="chrome://messenger/content/commandglue.js"/>
  <script src="chrome://messenger/content/SearchDialog.js"/>
  <script src="chrome://messenger-newsblog/content/newsblogOverlay.js"/>
  <script src="chrome://messenger/content/searchTerm.js"/>
  <script src="chrome://messenger/content/dateFormat.js"/>

  <commands id="commands">
    <commandset id="mailSearchItems"
                commandupdater="true"
                events="mail-search"
                oncommandupdate="goUpdateSearchItems(this)">
      <command id="cmd_open" oncommand="goDoCommand('cmd_open')" disabled="true"/>
      <command id="button_delete" oncommand="goDoCommand('button_delete')" disabled="true"/>
      <command id="open_in_folder_button" oncommand="goDoCommand('open_in_folder_button')" disabled="true"/>
      <command id="saveas_vf_button" oncommand="goDoCommand('saveas_vf_button')" disabled="false"/>
      <command id="file_message_button" oncommand="MoveMessageInSearch(event.target._folder);" disabled="true"/>
      <command id="cmd_delete" oncommand="goDoCommand('cmd_delete')" disabled="true"/>
      <command id="cmd_shiftDelete" oncommand="goDoCommand('cmd_shiftDelete');"/>
    </commandset>
  </commands>

  <keyset id="mailKeys">
    <key key="&closeCmd.key;" modifiers="accel" oncommand="window.close();"/>
    <key keycode="VK_ESCAPE" oncommand="window.close();"/>
#ifdef XP_MACOSX
      <key id="key_delete" keycode="VK_BACK"     command="cmd_delete"/>
      <key id="key_delete2" keycode="VK_DELETE"  command="cmd_delete"/>
      <key id="cmd_shiftDelete" keycode="VK_BACK"
           oncommand="goDoCommand('cmd_shiftDelete');" modifiers="shift"/>
      <key id="cmd_shiftDelete2" keycode="VK_DELETE"
           oncommand="goDoCommand('cmd_shiftDelete');" modifiers="shift"/>
#else
      <key id="key_delete" keycode="VK_DELETE" command="cmd_delete"/>
      <key id="cmd_shiftDelete" keycode="VK_DELETE"
           oncommand="goDoCommand('cmd_shiftDelete');" modifiers="shift"/>
#endif
  </keyset>

    <vbox id="searchTerms" class="themeable-brighttext" flex="3" persist="height">
      <vbox>
        <hbox align="center">
          <label value="&searchHeading.label;" accesskey="&searchHeading.accesskey;"
                 control="searchableFolders"/>
          <menulist id="searchableFolders" flex="2" class="folderMenuItem"
                    displayformat="verbose">
            <menupopup is="folder-menupopup" class="menulist-menupopup"
                       mode="search" showAccountsFileHere="true" showFileHereLabel="true"
                       oncommand="updateSearchFolderPicker(event.target._folder);"/>
          </menulist>
          <spacer flex="10"/>
          <button id="search-button" oncommand="onSearchButton(event);" default="true"/>
        </hbox>

        <hbox align="center">
          <checkbox id="checkSearchSubFolders"
                    label="&searchSubfolders.label;"
                    accesskey="&searchSubfolders.accesskey;"
                    checked="true"
                    persist="checked"/>
          <spacer flex="10"/>
          <button label="&resetButton.label;" oncommand="onResetSearch(event);" accesskey="&resetButton.accesskey;"/>
        </hbox>
        <hbox align="center">
          <checkbox id="checkSearchOnline"
                    label="&searchOnServer.label;"
                    accesskey="&searchOnServer.accesskey;"
                    oncommand="updateSearchLocalSystem();"
                    persist="checked"/>
        </hbox>
      </vbox>

      <hbox flex="1">
        <vbox id="searchTermListBox" flex="1">
#include ../../../mailnews/search/content/searchTerm.inc.xhtml
      </hbox>
    </vbox>

    <splitter id="gray_horizontal_splitter" persist="state" orient="vertical"/>

    <vbox id="searchResults" flex="4" persist="height">
      <vbox id="searchResultListBox" flex="1">
#include threadTree.inc.xhtml
      </vbox>
      <hbox align="start">
        <button label="&openButton.label;" id="openButton" command="cmd_open" accesskey="&openButton.accesskey;"/>
        <button id="fileMessageButton" type="menu" label="&moveButton.label;"
                accesskey="&moveButton.accesskey;"
                command="file_message_button">
          <menupopup is="folder-menupopup" showFileHereLabel="true" mode="filing"/>
        </button>

      <button label="&deleteButton.label;" id="deleteButton" command="button_delete" accesskey="&deleteButton.accesskey;"/>
      <button label="&openInFolder.label;" id="openInFolderButton" command="open_in_folder_button" accesskey="&openInFolder.accesskey;" />
      <button label="&saveAsVFButton.label;" id="saveAsVFButton" command="saveas_vf_button" accesskey="&saveAsVFButton.accesskey;" />
      <spacer flex="1" />
    </hbox>
  </vbox>

  <hbox id="status-bar" class="statusbar chromeclass-status" role="status">
    <label id="statusText" class="statusbarpanel" crop="end" flex="1"/>
    <hbox id="statusbar-progresspanel" class="statusbarpanel statusbarpanel-progress" collapsed="true">
      <html:progress class="progressmeter-statusbar" id="statusbar-icon" value="0" max="100"/>
    </hbox>
  </hbox>

</window>
